## python-wsaccel 0.6.3

=== Makefile ===
all:
	@echo "Targets:"
	@echo ""
	@echo "   install          Local install"
	@echo "   clean            Cleanup"
	@echo "   build            Clean build"
	@echo "   publish          Clean build and publish to PyPi"
	@echo ""

install:
	python setup.py install

clean:
	rm -rf ./wsaccel.egg-info
	rm -rf ./build
	rm -rf ./dist
	find . -name "*.pyc" -exec rm -f {} \;

build:
	python setup.py sdist
	python setup.py bdist_egg
	python setup.py bdist_wininst

publish:
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_egg upload
	python setup.py bdist_wininst upload

## python-wsaccel 0.6.2

=== debian/changelog ===
python-wsaccel (0.6.2-1) unstable; urgency=medium

  * Initial release. (Closes: #822191)

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2017 22:03:08 +0200

=== debian/control ===
Source: python-wsaccel
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 cython,
 cython3,
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all-dev,
 python-pytest,
 python-setuptools,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-wsaccel.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-wsaccel.git
Homepage: https://github.com/methane/wsaccel

Package: python-wsaccel
Architecture: any
Depends:
 cython,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Accelerator for ws4py and AutobahnPython - Python 2.7
 WSAccell is WebSocket accelerator for AutobahnPython, ws4py and Tornado. It
 replaces per-byte process in them with Cython version. AutobahnPython
 beginning with version 0.6 automatically uses WSAccell if available.
 .
 This package provides the Python 2.7 module.

Package: python3-wsaccel
Architecture: any
Depends:
 cython3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Accelerator for ws4py and AutobahnPython - Python 3.x
 WSAccell is WebSocket accelerator for AutobahnPython, ws4py and Tornado. It
 replaces per-byte process in them with Cython version. AutobahnPython
 beginning with version 0.6 automatically uses WSAccell if available.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/methane/wsaccel
-include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now."
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-wsaccel 0.6.3

=== debian/changelog ===
python-wsaccel (0.6.3-6) unstable; urgency=medium

  * Cleans better (Closes: #1046600).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 22:11:50 +0100

python-wsaccel (0.6.3-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090634).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 21:55:32 +0100

python-wsaccel (0.6.3-4) unstable; urgency=medium

  * Do not runtime depends on cython3 (Closes: #1058007).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 18:43:51 +0100

python-wsaccel (0.6.3-3) unstable; urgency=medium

  * Cleans better (Closes: #1046600).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:57:54 +0200

python-wsaccel (0.6.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:50:48 +0200

python-wsaccel (0.6.3-1) experimental; urgency=medium

  * New upstream release.
  * Rebased use-cython3-instead-of-cython.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Sep 2021 08:37:05 +0200

python-wsaccel (0.6.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Drop Python 2 support (Closes: #938266).
    - Add use-cython3-instead-of-cython.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 11:01:13 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/methane/wsaccel
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr wsaccel/utf8validator.c wsaccel/xormask.c *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now."
endif
